> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dripsender.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Kirim Pesan

> Kirim pesan teks ke nomor WhatsApp melalui POST /send

Gunakan endpoint ini untuk mengirim pesan teks ke nomor WhatsApp. Nomor telepon harus menggunakan format internasional, misalnya `6281234567890`.

## Request

### Headers

| Header         | Type   | Required | Description        |
| -------------- | ------ | -------- | ------------------ |
| `Content-Type` | string | Yes      | `application/json` |

### Body Parameters

<ParamField name="api_key" type="string" required>
  API key DripSender Anda. Kirim sebagai parameter body.
</ParamField>

<ParamField name="text" type="string" required>
  Isi pesan yang akan dikirim.
</ParamField>

<ParamField name="phone" type="string" required>
  Nomor WhatsApp tujuan dengan format internasional, misalnya `6281234567890`.
</ParamField>

### Example Request

<CodeGroup>
  ```bash theme={null}
  curl -X POST https://api.dripsender.id/send \
    -H "Content-Type: application/json" \
    -d '{
      "api_key": "YOUR_API_KEY",
      "text": "Hello, this is a test message!",
      "phone": "6281234567890"
    }'
  ```

  ```javascript theme={null}
  axios.post("https://api.dripsender.id/send", {
    api_key: "YOUR_API_KEY",
    text: "Hello, this is a test message!",
    phone: "6281234567890"
  }).then(response => {
    console.log(response.data);
  });
  ```
</CodeGroup>

## Response

### Success

<ResponseField>
  **Code:** `200`<br />
  **Content:** JSON response with `data: "OK"`
</ResponseField>

```json theme={null}
{
  "status": 200,
  "statusText": "",
  "data": "OK",
  "headers": {
    "content-length": "2",
    "content-type": "text/plain; charset=utf-8"
  }
}
```

### Error

<ResponseField>
  **Code:** `500`<br />
  **Content:** Error message
</ResponseField>
